6.0.0-git
2021-07-26

[#14196] Kolab driver: Nag's view tabs (All tasks, Incomplete tasks, Future tasks, Completed tasks) not rendered correctly
Summary Kolab driver: Nag's view tabs (All tasks, Incomplete tasks, Future tasks, Completed tasks) not rendered correctly
Queue Kolab
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mike.gabriel (at) das-netzwerkteam (dot) de
Created 2015-12-15 (2050 days ago)
Due
Updated 2015-12-29 (2036 days ago)
Assigned 2015-12-17 (2048 days ago)
Resolved 2015-12-29 (2036 days ago)
Milestone
Patch Yes

History
2015-12-29 04:44:07 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
Taken from Michael J Rubinsky <mrubinsk@horde.org>
Taken from Thomas Jarosch
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2015-12-29 04:43:40 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit c02522fed6f33e1e306d5c5b4a8c1136989af87d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Dec 28 23:39:27 2015 -0500

     Bug: 14196 Fix displaying tab filters in Kolab driver.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  nag/lib/Driver/Kolab.php |   12 ++++++------
  1 files changed, 6 insertions(+), 6 deletions(-)

http://github.com/horde/horde/commit/c02522fed6f33e1e306d5c5b4a8c1136989af87d
2015-12-29 04:40:48 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1197a222a96fe7e3c193dfc5031f2cefe20a314f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Dec 28 23:39:27 2015 -0500

     Bug: 14196 Fix displaying tab filters in Kolab driver.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  nag/lib/Driver/Kolab.php |   12 ++++++------
  1 files changed, 6 insertions(+), 6 deletions(-)

http://github.com/horde/horde/commit/1197a222a96fe7e3c193dfc5031f2cefe20a314f
2015-12-17 15:42:32 Michael Rubinsky Comment #3
Assigned to Michael J Rubinsky <mrubinsk@horde.org>
Assigned to Thomas Jarosch
State ⇒ Assigned
Reply to this comment
I believe something like this was resolved in Git previously, but need 
to verify.
2015-12-16 23:18:24 Michael Rubinsky Comment #2
Version ⇒
Queue ⇒ Kolab
Priority ⇒ 1. Low
Reply to this comment
Moving to Kolab queue.
2015-12-15 19:18:52 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Kolab driver: Nag's view tabs (All tasks, Incomplete tasks, Future tasks, Completed tasks) not rendered correctly
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ Yes
New Attachment: 1002_nag-kolab-correctly-retrieve-tasklists-regarding-completion-state.patch Download
Reply to this comment
I use Nag_Driver_Kolab as storage backend for tasks.

  Without the attached patch, Nag is not able to retrieve tasklists 
based on the completion flag (or other flags).

The different tasklist tabs (when using the Kolab driver) always show 
_all_ tasks, although they should show what the tab title says, e.g.   
"All tasks", "Incomplete tasks", "Future tasks", "Completed tasks".

This patch fixes the issue. The issue is caused through nested loops 
(foreach, switch) and wrong usage of the continue statement.

See here for details:
http://php.net/manual/en/control-structures.continue.php#96945


Saved Queries